Subject: [OPSAWG] RFC 4113 -- UDP-MIB -- stats questions

From: Michael MacFaden <[email-masked]>
Date: Thu, 28 Feb 2013 11:06:53 -0800 (PST)

In -- http://www.ietf.org/rfc/rfc4113.txt
I see that the oiginal mib-2 scalar counters were kept
udpInDatagrams...udpHCOutDatagrams 

I wonder how many implementations only report v4
vs v4 + v6 when this mib is claimed as being implemented?
 
Also why were these were not replaced
with per protocol stats to be consistent with
how say icmp stats were in RFC 4293? 

Does anyone recall the thinking here, can't see
find any discussion in the RFC.

Thanks,
Mike MacFaden

---

From: "Flick, John W" <[email-masked]>
Date: Thu, 28 Feb 2013 21:08:12 +0000

I was the last one to "hold the pen" on this one, though I came to the party pretty late (basically, taking over for Bill Fenner when he became an AD, just to shepherd it thru the last stages of approval and publication).

I remember there was an IPv6 MIB design team, that I believe set the direction for the combined v4/v6 MIBS (4022, 4113,4292, 4293).
At the point I was working on it, the target was consistency with the TCP MIB (RFC 4022).

One point here is that ICMPv4 and ICMPv6 are separate protocols, whereas UDP is the same protocol for v4 and v6, so the situation is more similar to the TCP situation than it is to the ICMP one.

FWIW, I know HP switches to report  v4+v6 in the In/OutDatagrams counters.

John

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Michael MacFaden
Sent: Thursday, February 28, 2013 11:07 AM
To: opsawg
Subject: [OPSAWG] RFC 4113 -- UDP-MIB -- stats questions

In -- http://www.ietf.org/rfc/rfc4113.txt
I see that the oiginal mib-2 scalar counters were kept udpInDatagrams...udpHCOutDatagrams 

I wonder how many implementations only report v4 vs v4 + v6 when this mib is claimed as being implemented?
 
Also why were these were not replaced
with per protocol stats to be consistent with how say icmp stats were in RFC 4293? 

Does anyone recall the thinking here, can't see find any discussion in the RFC.

Thanks,
Mike MacFaden
_______________________________________________
OPSAWG mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/opsawg

---

From: Michael MacFaden <[email-masked]>
Date: Thu, 28 Feb 2013 13:37:44 -0800 (PST)

Hi John,

Ok, thanks.
Do Appreciate the reply.

Mike

----- Original Message -----
> I was the last one to "hold the pen" on this one, though I came to the party
> pretty late (basically, taking over for Bill Fenner when he became an AD,
> just to shepherd it thru the last stages of approval and publication).
> 
> I remember there was an IPv6 MIB design team, that I believe set the
> direction for the combined v4/v6 MIBS (4022, 4113,4292, 4293).
> One point here is that ICMPv4 and ICMPv6 are separate protocols, whereas UDP
> is the same protocol for v4 and v6, so the situation is more similar to the
> TCP situation than it is to the ICMP one.
>